In order to avoid the reverse engineering of script applications, numerous developers encrypt their program code with tools such as ionCube PHP Encoder to make it human unreadable. The latter is valid for paid applications in particular, as anybody could possibly use and modify the unencrypted code without having to pay the necessary license fees. In case you obtain web software protected with ionCube PHP Encoder, you can use it without a problem as long as a software tool known as ionCube Loader is available on the web hosting server. This loader enables you to execute encoded files and you will often see it on the list of prerequisites for a given script application to be set up. As the encoded files are already precompiled, they are generally executed much faster and this can increase the general speed of your site.
IonCube in Cloud Hosting
When you get a Linux cloud package through our company, it will be created on our in-house made cloud hosting platform where ionCube Loader is already installed, so you will not have any kind of problems to manage any script application that needs the instrument so as to function appropriately. We also offer you several different releases of PHP, so if you change the version, you need to enable ionCube once again. Our system remembers the adjustments you make, and in case you move back to the earlier version of PHP that was active for your account, ionCube Loader will already be enabled. The PHP version and the ionCube tool can be managed from the PHP Configuration section of our Hepsia hosting Control Panel. Every adjustment that you make takes literally just a single click and it takes effect right away.
IonCube in Semi-dedicated Hosting
As all of the semi-dedicated server accounts are created on our advanced cluster platform and ionCube Loader is available on it, you will be able to use any script app that needs the software tool so as to work properly. With a couple of clicks in your Hepsia website hosting Control Panel you're able to activate or deactivate ionCube for the PHP version which is currently active for the account. Since we support a couple of releases of PHP simultaneously, you will have to do that each time you move to a different release, but if you revert back to a version which you've already used, our system will remember your choice and ionCube Loader will already be active. In case you have a couple of sites inside the same account and they require different versions of PHP, you can set up a php.ini file in each domain folder and with a couple of lines of code you can define both the PHP version and the status of ionCube regardless of what is selected for the website hosting account as a whole.